## org.eclipse.amp.amf.abase.aBase
Interface ABaseFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ABaseFactoryImpl

    public interface ABaseFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `ABasePackage`

Field Summary
`static ABaseFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`BooleanValue` `createBooleanValue()` Returns a new object of class 'Boolean Value'.
`IntValue` `createIntValue()` Returns a new object of class 'Int Value'.
`RealValue` `createRealValue()` Returns a new object of class 'Real Value'.
`StringValue` `createStringValue()` Returns a new object of class 'String Value'.
`Value` `createValue()` Returns a new object of class 'Value'.
`ABasePackage` `getABasePackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final ABaseFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createValue

    Value createValue()

  Returns a new object of class 'Value'.

  Returns:
    a new object of class 'Value'.

### createIntValue

    IntValue createIntValue()

  Returns a new object of class 'Int Value'.

  Returns:
    a new object of class 'Int Value'.

### createRealValue

    RealValue createRealValue()

  Returns a new object of class 'Real Value'.

  Returns:
    a new object of class 'Real Value'.

### createStringValue

    StringValue createStringValue()

  Returns a new object of class 'String Value'.

  Returns:
    a new object of class 'String Value'.

### createBooleanValue

    BooleanValue createBooleanValue()

  Returns a new object of class 'Boolean Value'.

  Returns:
    a new object of class 'Boolean Value'.

### getABasePackage

    ABasePackage getABasePackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.